You are not logged in.

#1 2014-05-25 16:49:12

nixIT
Member
Registered: 2010-01-13
Posts: 396

[SOLVED] Unable to connect to libvirt

Hello all,

been trying to get qemu and virt-manager running.   However, I'm having some issues.

I followed the wiki on qemu/kvm and virt-manager.

I have polkit and polkit-gnome installed, libvirtd is started.

Whenever I try to open virt-manager, I received the following error:

Unable to connect to libvirt.

authentication failed: polkit: polkit\56retains_authorization_after_challenge=1
Authorization requires authentication but no agent is available.

Libvirt URI is: qemu:///system

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 1020, in _open_thread
    self._backend.open(self._do_creds_password)
  File "/usr/share/virt-manager/virtinst/connection.py", line 158, in open
    open_flags)
  File "/usr/lib/python2.7/site-packages/libvirt.py", line 105, in openAuth
    if ret is None:raise libvirtError('virConnectOpenAuth() failed')
libvirtError: authentication failed: polkit: polkit\56retains_authorization_after_challenge=1
Authorization requires authentication but no agent is available.

I'm not sure what to look for.

Any ideas where I should check?

[SOLVED]
Followed this post:
http://blog.ktz.me/?p=403

Which got me running.  Hopefully this is the secure way.

--nixIT

Last edited by nixIT (2014-05-25 23:41:12)


ASRock 970 Extreme4  | AMD FX 8350 | 32GB G.SKILL Ripjaw X  | 180GB Corsair Force Series GS SSD | MSI GeForce GTX 960 GTX Gaming 4G 4GB

Offline

Board footer

Powered by FluxBB